<template>
    <div class="page">
      <form-designer ref="formDesigner" :value=tmp v-model="form1.fdForm"></form-designer>
    </div>
</template>

<script>
    import form from "@/assets/mixins/form";
    export default {
        mixins: [form],
        components: {
        },
        created() {

            console.log("form",this.form)
            console.log("tmp",this.tmp)
            this.$ref.formDesigner
        },
        methods: {
            beforeRender(data) {

                this.tmp=data.entity.formContent
                this.$refs.formDesigner.refresh(this.tmp);
                
      return data
    },
            
           
        },
        data() {
            return {
               form1:{
                fdForm:''
               },
               tmp:''
                
            };
        }
    };
</script>